#pragma once

#include "CoreMinimal.h"
#include "QuestEventEvaluatorBase.h"
#include "EPlayerRole.h"
#include "UniqueTargetIncrementQEEvaluator.generated.h"

class AActor;

UCLASS(Blueprintable)
class UUniqueTargetIncrementQEEvaluator : public UQuestEventEvaluatorBase
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, Transient)
	TSet<TWeakObjectPtr<AActor>> _targetList;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	EPlayerRole _uniqueCheckSkipRole;

public:
	UUniqueTargetIncrementQEEvaluator();
};

FORCEINLINE uint32 GetTypeHash(const UUniqueTargetIncrementQEEvaluator) { return 0; }
